Src/Presentation/3-UI/AdminPanel/Areas/Workspace/Controllers/OrganizationsController.cs
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using AutoMapper;
using TaskoMask.Presentation.Framework.Web.Controllers;
using TaskoMask.Application.Workspace.Organizations.Services;
using System.Threading.Tasks;
using TaskoMask.Presentation.Framework.Web.Filters;

namespace TaskoMask.Presentation.UI.AdminPanle.Areas.Workspace.Controllers
{
    [Authorize]
    [Area("Workspace")]
    public class OrganizationsController : BaseMvcController
    {
        #region Fields

        private readonly IOrganizationService _organizationService;


        #endregion

        #region Ctor

        public OrganizationsController(IOrganizationService organizationService, IMapper mapper) : base(mapper)
        {
            _organizationService = organizationService;
        }

        #endregion

        #region Public Methods



        /// <summary>
        /// 
        /// </summary>
        [HttpGet]
        public async Task<IActionResult> Index()
        {
            var organizationQueryResult = await _organizationService.SearchAsync(page: 1, recordsPerPage: recordsPerPage, term: "");

            #region ViewBags

            ViewBag.PageSize = organizationQueryResult.Value.PageNumber;
            ViewBag.CurrentPage = 1;
            ViewBag.TotalItemCount = organizationQueryResult.Value.TotalCount;

            #endregion

            return View(organizationQueryResult);
        }



        /// <summary>
        /// 
        /// </summary>
        [HttpGet]
        [AjaxOnly]
        public async Task<IActionResult> Search(int page = 1, string term = "")
        {
            var organizationQueryResult = await _organizationService.SearchAsync(page: page, recordsPerPage: recordsPerPage, term: term);

            if (!organizationQueryResult.IsSuccess)
                return RedirectToErrorPage(organizationQueryResult);

            #region ViewBags

            ViewBag.PageSize = organizationQueryResult.Value.PageNumber;
            ViewBag.CurrentPage = page;
            ViewBag.TotalItemCount = organizationQueryResult.Value.TotalCount;

            #endregion

            return PartialView("_ItemList", organizationQueryResult.Value.Items);
        }



        /// <summary>
        /// 
        /// </summary>
        [HttpGet]
        public async Task<IActionResult> Details(string id)
        {
            var organizationQueryResult = await _organizationService.GetDetailsAsync(id);

            return View(organizationQueryResult);

        }





        #endregion

        #region Private Methods



        #endregion

    }
}

Src/Presentation/3-UI/AdminPanel/Areas/Workspace/Controllers/ProjectsController.cs
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using AutoMapper;
using TaskoMask.Presentation.Framework.Web.Controllers;
using TaskoMask.Application.Workspace.Projects.Services;
using System.Threading.Tasks;
using TaskoMask.Presentation.Framework.Web.Filters;

namespace TaskoMask.Presentation.UI.AdminPanle.Areas.Workspace.Controllers
{
    [Authorize]
    [Area("Workspace")]
    public class ProjectsController : BaseMvcController
    {
        #region Fields

        private readonly IProjectService _projectService;


        #endregion

        #region Ctor

        public ProjectsController(IProjectService projectService, IMapper mapper) : base(mapper)
        {
            _projectService = projectService;
        }

        #endregion

        #region Public Methods



        /// <summary>
        /// 
        /// </summary>
        [HttpGet]
        public async Task<IActionResult> Index()
        {
            var projectQueryResult = await _projectService.SearchAsync(page: 1, recordsPerPage: recordsPerPage, term: "");

            #region ViewBags

            ViewBag.PageSize = projectQueryResult.Value.PageNumber;
            ViewBag.CurrentPage = 1;
            ViewBag.TotalItemCount = projectQueryResult.Value.TotalCount;

            #endregion

            return View(projectQueryResult);
        }



        /// <summary>
        /// 
        /// </summary>
        [HttpGet]
        [AjaxOnly]
        public async Task<IActionResult> Search(int page = 1, string term = "")
        {
            var projectQueryResult = await _projectService.SearchAsync(page: page, recordsPerPage: recordsPerPage, term: term);

            if (!projectQueryResult.IsSuccess)
                return RedirectToErrorPage(projectQueryResult);

            #region ViewBags

            ViewBag.PageSize = projectQueryResult.Value.PageNumber;
            ViewBag.CurrentPage = page;
            ViewBag.TotalItemCount = projectQueryResult.Value.TotalCount;

            #endregion

            return PartialView("_ItemList", projectQueryResult.Value.Items);
        }



        /// <summary>
        /// 
        /// </summary>
        [HttpGet]
        public async Task<IActionResult> Details(string id)
        {
            var projectQueryResult = await _projectService.GetDetailsAsync(id);

            return View(projectQueryResult);

        }





        #endregion

        #region Private Methods



        #endregion

    }
}

Src/Presentation/3-UI/AdminPanel/Areas/Workspace/Views/Projects/Details.cshtml
@model TaskoMask.Application.Share.ViewModels.ProjectDetailsViewModel

@{
    ViewBag.Title = "Project Details";
}

<div class="grid-100 tablet-grid-100 mobile-grid-100">
    <div class="block">
        <div class="block-content no-pad">
            <ul class="tabs">
                <li class="tab"><a href="#tab-1" class="active">Basic Info</a></li>
            </ul>
        </div>

        <div id="tab-1">
            <div class="block-content">
                @await Html.PartialAsync("_BasicInfo", Model.Project)
            </div>
        </div>
    </div>
</div>




@section scripts{

}

Src/Presentation/3-UI/AdminPanel/Areas/Workspace/Views/Projects/Index.cshtml
@model TaskoMask.Application.Share.Helpers.PaginatedListReturnType<TaskoMask.Application.Share.Dtos.Workspace.Projects.ProjectOutputDto>
@{
    ViewBag.Title = "Projects List";
}

<div class="grid-content">
    <div class="block">
        <div class="block-bar">
            <form class="form" asp-action="search" data-ajax="true" data-ajax-loading="#global-ajax-loading" data-ajax-method="GET" data-ajax-mode="replace" data-ajax-update="#ajax-show-list">
                <input name="term" id="term" type="text" value="" placeholder="..." />
                <input type="submit" class="btn btn-primary" value="Search" />
            </form>
        </div>
        <div id="ajax-show-list">
            @await Html.PartialAsync("_ItemList", Model.Items)
        </div>
    </div>
</div>


@section scripts{

}

Src/Presentation/3-UI/AdminPanel/Areas/Workspace/Views/Projects/_BasicInfo.cshtml
@model TaskoMask.Application.Share.Dtos.Workspace.Projects.ProjectBasicInfoDto
@{
}

<div class="form">

    <fieldset>

        @Html.LabelFor(model => model.Name)
        @Html.TextBoxFor(model => model.Name, new { @class = "form-input-1", @readOnly = "readonly" })


        @Html.LabelFor(model => model.Description)
        @Html.TextBoxFor(model => model.Description, new { @class = "form-input-1", @readOnly = "readonly" })


        @Html.LabelFor(model => model.CreationTime.CreateDateTimeString)
        @Html.TextBoxFor(model => model.CreationTime.CreateDateTimeString, new { @class = "form-input-1", @readOnly = "readonly" })

        <hr />

        <a href="@Url.Action("Index", "Projects", new { })" class="btn btn-default">
            Back
        </a>

    </fieldset>
</div>

Src/Presentation/3-UI/AdminPanel/Areas/Workspace/Views/Projects/_ItemList.cshtml
@model IEnumerable<TaskoMask.Application.Share.Dtos.Workspace.Projects.ProjectOutputDto>

@if (Model.Count() == 0)
{
    <div id="no-item-alert-area" class="grid-container">
        <div class="alert alert-info">
            <h4>No item to show!</h4>
        </div>
    </div>
}
else
{
    <div class="block-content has-table">
        <div class="table-responsive">
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>@Html.LabelFor(model => model.FirstOrDefault().Name)</th>
                        <th>@Html.LabelFor(model => model.FirstOrDefault().CreationTime.CreateDateTimeString)</th>
                        <th>@Html.LabelFor(model => model.FirstOrDefault().BoardsCount)</th>
                        <th>@Html.LabelFor(model => model.FirstOrDefault().OrganizationName)</th>
                        <th><label></label></th>
                    </tr>
                </thead>
                <tbody>
                    @foreach (var item in Model)
                    {

                        <tr data-table-row-id="@item.Id">
                            <td>
                                @item.Name
                            </td>
                            <td>
                                @item.CreationTime.CreateDateTimeString
                            </td>
                            <td>
                                @item.BoardsCount
                            </td>
                            <td>
                                <a href="@Url.Action( "Details","Organizations", new { id = item.OrganizationId }) ">
                                    @item.OrganizationName
                                </a>
                            </td>
                            <td>
                                <div class="btn-group-xs">
                                    <a href="@Url.Action( "Details", new { id = item.Id }) " class=" btn btn-primary btn-xs btn-xs-circle">
                                        <i class="fa fa-eye"></i>
                                    </a>
                                </div>
                            </td>
                        </tr>
                    }

                </tbody>
            </table>
        </div>
    </div>
    @await Html.PartialAsync("_PagedList")
}

Src/Presentation/3-UI/AdminPanel/Areas/Workspace/Views/Projects/_PagedList.cshtml
@using MvcPagedList.Core

@PagedList.Pager(actionName: "search", controllerName: "Projects", areaName: "Workspace",
    routeValues: new
    {

        term = Context.Request.Query["term"],

    },
    ajaxAttributes: new
    {
        data_ajax = "true",
        data_ajax_loading = "#global-ajax-loading",
        data_ajax_update = "#ajax-show-list",
        data_ajax_method = "GET",
        data_ajax_mode = "replace"


    },
    pagerOptions: new PagerOptions
    {
        currentPage = (int)ViewBag.CurrentPage,
        PageCount = (int)ViewBag.PageSize,
        TotalItemCount = (int)ViewBag.TotalItemCount,
        DisplayMode = PagedListDisplayMode.IfNeeded,
        DisplayInfoArea = true,
        LinkToNextPageFormat = "previous",
        LinkToPreviousPageFormat = "next",
        CurrentLocationFormat = "page",
        PageCountFormat = "from",
        TotalItemCountFormat = "total",
    })